import type { Dispatch } from 'react';
import type { LivePreview } from '../../../../../exports/config';
import type { SizeReducerAction } from './sizeReducer';
export interface LivePreviewContextType {
    breakpoint: LivePreview['breakpoints'][number]['name'];
    breakpoints: LivePreview['breakpoints'];
    deviceFrameRef: React.RefObject<HTMLDivElement>;
    iframeHasLoaded: boolean;
    iframeRef: React.RefObject<HTMLIFrameElement>;
    measuredDeviceSize: {
        height: number;
        width: number;
    };
    setBreakpoint: (breakpoint: LivePreview['breakpoints'][number]['name']) => void;
    setHeight: (height: number) => void;
    setIframeHasLoaded: (loaded: boolean) => void;
    setSize: Dispatch<SizeReducerAction>;
    setToolbarPosition: (position: {
        x: number;
        y: number;
    }) => void;
    setWidth: (width: number) => void;
    setZoom: (zoom: number) => void;
    size: {
        height: number;
        width: number;
    };
    toolbarPosition: {
        x: number;
        y: number;
    };
    zoom: number;
}
export declare const LivePreviewContext: import("react").Context<LivePreviewContextType>;
export declare const useLivePreviewContext: () => LivePreviewContextType;
//# sourceMappingURL=context.d.ts.map